## org.apache.hadoop.metrics.jvm
Class JvmMetrics

    java.lang.Object
      org.apache.hadoop.metrics.jvm.JvmMetrics

All Implemented Interfaces:
  Updater

Deprecated. in favor of `org.apache.hadoop.metrics2` usage.

    @Deprecated
    @InterfaceAudience.Private
    @InterfaceStability.Evolving
    public class JvmMetrics

extends Object
implements Updater

Singleton class which reports Java Virtual Machine metrics to the metrics API. Any application can create an instance of this class in order to emit Java VM metrics.

Method Summary
`void` `doUpdates(MetricsContext context)` Deprecated. This will be called periodically (with the period being configuration dependent).
`static JvmMetrics` `init(String processName, String sessionId)` Deprecated.
`static JvmMetrics` `init(String processName, String sessionId, String recordName)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static JvmMetrics init(String processName,
                                  String sessionId)

  Deprecated.

### init

    public static JvmMetrics init(String processName,
                                  String sessionId,
                                  String recordName)

  Deprecated.

### doUpdates

    public void doUpdates(MetricsContext context)

  Deprecated.
  This will be called periodically (with the period being configuration dependent).

  Specified by:
    `doUpdates` in interface `Updater`

Copyright © 2009 The Apache Software Foundation